<?php
/*
	Plugin Name: LiveJournal Shortcode
	Plugin URI: http://wp.dmonnier.com/shortcodes/livejournal/
	Description: Quickly create text links to LiveJournals in the same format as LJ with this shortcode.
	Version: 1.0
	Author: Danielle Monnier
	Author URI: http://www.dmonnier.com

	Special thanks to:
	http://wp.smashingmagazine.com/2012/05/01/wordpress-shortcodes-complete-guide/
	
	http://www.livejournal.com/support/faq/67.html
	
	Format:
	[lj user="frank" title="Frank the Goat"]
*/
function lj_shortcode($atts = NULL)
{
	extract(shortcode_atts(array('user' => '', 'title' => ''), $atts));
	
	if ( empty($user) )
	{
		return '<span class="invalid-user">[invalid LiveJournal shortcode]</span>';
	}
	
	$userURL = strtolower($user);
	$username = empty($title) ? $user : $title;

	return '<a class="lj-user"' .
				' href="http://' . $userURL . '.livejournal.com"' . 
				' title="Visit ' . $username . '\'s LiveJournal">' .
				$username . '</a>';
}

// register this shortcode and the stylesheet with WordPress
function register_lj_shortcode()
{
	add_shortcode('lj', 'lj_shortcode');
	
	wp_register_style( 'livejournal-style', plugins_url('style.css', __FILE__ ) );
	wp_enqueue_style( 'livejournal-style' );
}

// hook into WordPress
add_action( 'init', 'register_lj_shortcode');

// allow shortcode in widgets, comments, and excerpts
// add_filter( 'widget_text', 'shortcode_unautop');
// add_filter( 'widget_text', 'do_shortcode', 11);
// add_filter( 'the_excerpt', 'do_shortcode', 11);
// add_filter( 'comment_text', 'do_shortcode', 11);
?>